.breadcrumb {
  margin: 0 0 16px;
  padding: unset;
  border: unset;
  background-color: unset;
  border-radius: unset;
  display: flex;
  align-items: center;
}
.breadcrumb > li {
  text-shadow: unset;
  padding: unset;
  display: flex;
  align-items: center;
  width: -moz-max-content;
  width: max-content;
  min-height: 45px;
}
@media screen and (max-width: 1600px) {
  .breadcrumb > li {
    min-height: 35px;
  }
}
@media screen and (max-width: 650px) {
  .breadcrumb > li {
    display: none;
  }
}
@media screen and (max-width: 650px) {
  .breadcrumb > li.breadcrumb-first {
    display: flex;
  }
}
.breadcrumb > li.breadcrumb-first a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 45px;
  min-width: 45px;
  height: 45px;
  border-radius: 8px;
  border: 2px solid var(--color-primary-20);
}
@media screen and (max-width: 1600px) {
  .breadcrumb > li.breadcrumb-first a {
    width: 35px;
    min-width: 35px;
    height: 35px;
  }
}
.breadcrumb > li.breadcrumb-first a svg path {
  transition: 0.3s all ease-in-out;
}
.breadcrumb > li.breadcrumb-first a:hover svg path {
  fill: var(--color-default);
}
.breadcrumb > li.breadcrumb-separator {
  margin: 0 4px;
}
@media screen and (max-width: 650px) {
  .breadcrumb > li.breadcrumb-separator__last {
    display: none;
  }
}
@media screen and (max-width: 650px) {
  .breadcrumb > li.breadcrumb-separator__mobile {
    display: flex;
  }
}
@media screen and (max-width: 650px) {
  .breadcrumb > li.breadcrumb-last {
    display: none;
  }
}
.breadcrumb > li a, .breadcrumb > li span {
  display: flex;
  align-items: center;
  padding: 8px;
  border-radius: 8px;
  font-family: "Manrope";
  font-size: 18px;
  font-weight: 600;
  line-height: 120%;
}
@media screen and (max-width: 1600px) {
  .breadcrumb > li a, .breadcrumb > li span {
    font-size: 14px;
    padding: 6px 8px;
  }
}
.breadcrumb > li a {
  border: 2px solid var(--color-primary-20);
  transition: 0.3s all ease-in-out;
  color: var(--color-grey-70);
}
.breadcrumb > li span {
  background: var(--color-primary-20);
  color: var(--color-primary-100);
  overflow: hidden;
  text-decoration: none;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: inline-block;
  height: 100%;
  padding: 12px 8px;
}
@media screen and (max-width: 1600px) {
  .breadcrumb > li span {
    padding: 10px 8px;
  }
}
.breadcrumb > li a:hover {
  background: var(--color-primary-90);
  border-color: var(--color-primary-90);
  color: var(--color-default);
}
.breadcrumb > li::after {
  display: none;
}
.breadcrumb > li:last-child::after {
  display: none;
}
@media screen and (max-width: 650px) {
  .breadcrumb > li.breadcrumb-mobile {
    display: flex;
    max-width: 284px;
  }
}

.rud--non-auth {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10;
  font-family: "Manrope";
}
.rud--non-auth__content {
  padding: 80px 100px;
  border-radius: 20px;
  border: 3px solid var(--color-primary-20);
  background: var(--color-default);
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content {
    padding: 48px;
  }
}
@media screen and (max-width: 650px) {
  .rud--non-auth__content {
    padding: 24px;
    max-width: calc(100% - 32px);
  }
}
.rud--non-auth__content--icon {
  width: 120px;
  height: 120px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  margin: 0 0 48px;
  background-color: var(--color-primary-100);
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content--icon {
    width: 80px;
    height: 80px;
    margin: 0 0 24px;
  }
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content--icon svg {
    width: 24px;
    height: 32px;
  }
}
.rud--non-auth__content span {
  color: var(--color-dark-80);
  font-size: 48px;
  font-weight: 600;
  line-height: 100%;
  text-align: center;
  margin: 0 0 36px;
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content span {
    font-size: 36px;
    line-height: 120%;
  }
}
@media screen and (max-width: 650px) {
  .rud--non-auth__content span {
    font-size: 20px;
  }
}
.rud--non-auth__content span small {
  color: var(--color-primary-90);
  font-size: 48px;
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content span small {
    font-size: 36px;
  }
}
@media screen and (max-width: 650px) {
  .rud--non-auth__content span small {
    font-size: 20px;
  }
}
.rud--non-auth__content p {
  color: var(--color-dark-100);
  font-size: 20px;
  font-weight: 400;
  line-height: 120%;
  text-align: center;
  display: flex;
  align-items: center;
  margin: 0 0 8px;
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content p {
    font-size: 16px;
  }
}
@media screen and (max-width: 650px) {
  .rud--non-auth__content p {
    flex-direction: column;
  }
}
.rud--non-auth__content p a {
  color: var(--color-primary-80);
  font-size: 20px;
  font-weight: 600;
  line-height: 120%;
  text-decoration-line: underline;
  text-decoration-style: solid;
  -webkit-text-decoration-skip: ink;
          text-decoration-skip-ink: auto;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
  position: relative;
  display: flex;
  align-items: center;
  margin: 0 8px;
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content p a {
    font-size: 16px;
  }
}
.rud--non-auth__content p a:hover {
  color: var(--color-primary-100);
}
.rud--non-auth__content p a::before {
  content: "";
  width: 18px;
  height: 24px;
  display: block;
  margin: 0 8px 0 0;
  background-image: url(../image/base/link-icon.svg);
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: contain;
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content p a::before {
    margin: 0 6px 0 0;
  }
}
.rud--non-auth__content--login {
  padding: 24px 48px;
  border-radius: 60px;
  background: var(--color-primary-90);
  color: var(--color-default);
  font-size: 24px;
  font-weight: 700;
  line-height: 1;
  margin: 40px 0 0;
}
@media screen and (max-width: 1600px) {
  .rud--non-auth__content--login {
    margin: 16px 0 0;
    font-size: 16px;
    padding: 16px 36px;
  }
}
.rud--non-auth__content--login:hover {
  background-color: var(--color-primary-100);
  color: var(--color-default);
}
.rud--non-auth__bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(var(--color-default), 0.1);
  backdrop-filter: blur(10px);
}

.rud-alert {
  padding: 16px;
  border-radius: 12px;
  border: 2px solid transparent;
  margin: 0 0 36px;
  display: flex;
  align-items: center;
  color: var(--color-dark);
  font-size: 18px;
  font-weight: 600;
  line-height: 120%;
  font-family: "Manrope";
}
@media screen and (max-width: 1600px) {
  .rud-alert {
    font-size: 16px;
    margin: 0 0 24px;
  }
}
@media screen and (max-width: 1366px) {
  .rud-alert {
    border-radius: 8px;
    padding: 10px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-alert {
    border-radius: 12px;
    font-size: 15px;
  }
}
.rud-alert__icon {
  width: 54px;
  min-width: 54px;
  height: 54px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 8px;
  margin: 0 16px 0 0;
}
@media screen and (max-width: 1600px) {
  .rud-alert__icon {
    width: 36px;
    min-width: 36px;
    height: 36px;
  }
  .rud-alert__icon svg {
    width: 16px;
  }
}
.rud-alert p {
  margin: unset;
  color: var(--color-dark);
  font-size: 18px;
  font-weight: 600;
  line-height: 120%;
}
@media screen and (max-width: 1600px) {
  .rud-alert p {
    font-size: 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-alert p {
    font-size: 15px;
  }
}
.rud-alert.alert-danger {
  border-color: var(--color-warning);
  background-color: var(--color-default);
}
.rud-alert.alert-danger .rud-alert__icon {
  background-color: var(--color-warning);
}
.rud-alert.alert-success {
  border-color: var(--color-primary-100);
  background: var(--color-primary-20);
  color: var(--color-primary-80);
}
.rud-alert.alert-success .rud-alert__icon {
  background-color: var(--color-primary-90);
}

#content {
  min-height: unset;
}

.rud-product {
  padding: 48px 0 0;
  font-family: "Manrope";
  position: relative;
  overflow: hidden;
  margin: 144px 0 0;
}
@media screen and (max-width: 1600px) {
  .rud-product {
    margin: 140px 0 0;
    padding: 24px 0 0;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product {
    margin: 74px 0 0;
  }
}
@media screen and (max-width: 786px) {
  .rud-product {
    margin: 146px 0 0;
  }
}
@media screen and (max-width: 1920px) {
  .rud-product .container {
    padding: 0 150px;
    max-width: 100% !important;
  }
}
@media screen and (max-width: 1600px) {
  .rud-product .container {
    padding: 0 120px;
  }
}
@media screen and (max-width: 1366px) {
  .rud-product .container {
    padding: 0 100px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product .container {
    padding: 0 64px;
  }
}
@media screen and (max-width: 768px) {
  .rud-product .container {
    padding: 0 48px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product .container {
    padding: 0 20px;
  }
}
.rud-product__breadcrumb {
  margin: 0 0 48px;
}
@media screen and (max-width: 1600px) {
  .rud-product__breadcrumb {
    margin: 0 0 24px;
  }
}
.rud-product__top {
  display: flex;
  justify-content: space-between;
  margin: 0 0 120px;
}
@media screen and (max-width: 1600px) {
  .rud-product__top {
    margin: 0 0 100px;
  }
}
@media screen and (max-width: 768px) {
  .rud-product__top {
    flex-direction: column;
  }
}
@media screen and (max-width: 768px) {
  .rud-product__top {
    margin: 0 0 64px;
  }
}
.rud-product__gallery {
  width: 732px;
  height: 596px;
  margin: 0 80px 0 0;
  position: relative;
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery {
    margin: 0 64px 0 0;
    width: 532px;
    height: 406px;
  }
}
@media screen and (max-width: 1300px) {
  .rud-product__gallery {
    width: calc(50% - 36px);
    margin: unset;
    height: unset;
  }
}
@media screen and (max-width: 768px) {
  .rud-product__gallery {
    width: 100%;
    height: 480px;
    margin: 0 0 36px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__gallery {
    height: 312px;
    margin: 0 0 24px;
  }
}
.rud-product__gallery--label {
  position: absolute;
  top: 24px;
  left: 24px;
  padding: 10px;
  border-radius: 8px;
  background: var(--color-primary-90);
  color: var(--White, #FFF);
  font-size: 18px;
  font-weight: 600;
  line-height: 120%;
  z-index: 2;
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery--label {
    top: 16px;
    left: 16px;
    font-size: 16px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__gallery--label {
    border-radius: 12px;
    padding: 4px 6px;
    font-size: 12px;
  }
}
.rud-product__gallery--label.rud-left {
  left: 76px;
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery--label.rud-left {
    left: 68px;
  }
}
@media screen and (max-width: 1300px) {
  .rud-product__gallery--label.rud-left {
    left: 16px;
  }
}
.rud-product__gallery--sale {
  position: absolute;
  top: 24px;
  left: 132px;
  padding: 10px;
  border-radius: 8px;
  background: var(--color-primary-80);
  color: var(--White, #FFF);
  font-size: 18px;
  font-weight: 600;
  line-height: 120%;
  z-index: 2;
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery--sale {
    top: 16px;
    left: 112px;
    font-size: 16px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__gallery--sale {
    border-radius: 12px;
    padding: 4px 6px;
    font-size: 12px;
    left: 84px;
  }
}
.rud-product__gallery--sale.rud-left {
  left: 184px;
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery--sale.rud-left {
    left: 164px;
  }
}
@media screen and (max-width: 1300px) {
  .rud-product__gallery--sale.rud-left {
    left: 112px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__gallery--sale.rud-left {
    left: 84px;
  }
}
.rud-product__gallery--single {
  width: 100%;
  height: 100%;
  border-radius: 20px;
  border: 2px solid var(--color-grey-40);
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.rud-product__gallery--single img {
  max-width: 500px;
  width: calc(100% - 24px);
  height: auto;
  max-height: calc(100% - 24px);
  aspect-ratio: 1/1;
  -o-object-fit: contain;
     object-fit: contain;
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery--single img {
    max-width: 320px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__gallery--single img {
    max-height: calc(100% - 20px);
  }
}
.rud-product__gallery--multi {
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: 100%;
}
@media screen and (max-width: 1300px) {
  .rud-product__gallery--multi {
    flex-direction: column-reverse;
  }
}
.rud-product__gallery--thumbs {
  width: 36px;
  height: calc(100% - 48px);
  margin: auto 0;
  position: relative;
  overflow: hidden;
}
@media screen and (max-width: 1300px) {
  .rud-product__gallery--thumbs {
    width: calc(100% - 32px);
    margin: 0 auto;
    height: 36px;
  }
}
.rud-product__gallery--thumbs__slide {
  height: 36px;
  transition: var(--transition-base);
  cursor: pointer;
}
@media screen and (max-width: 1300px) {
  .rud-product__gallery--thumbs__slide {
    width: 36px;
  }
}
.rud-product__gallery--thumbs__slide.swiper-slide-thumb-active {
  opacity: 0.4;
}
.rud-product__gallery--thumbs__slide img {
  width: 100%;
}
.rud-product__gallery--main {
  width: calc(100% - 36px - 16px);
  height: 100%;
  border-radius: 20px;
  border: 2px solid var(--color-grey-40);
  position: relative;
  overflow: hidden;
}
@media screen and (max-width: 1300px) {
  .rud-product__gallery--main {
    width: 100%;
    aspect-ratio: 1/1;
    margin: 0 0 16px;
  }
}
.rud-product__gallery--main__carousel {
  width: 100%;
  height: 100%;
}
.rud-product__gallery--main__carousel .swiper-wrapper {
  width: 100%;
}
.rud-product__gallery--main__carousel--slide {
  display: flex;
  align-items: center;
  justify-content: center;
  outline: unset !important;
}
.rud-product__gallery--main__carousel--slide img {
  max-width: 350px;
  width: calc(100% - 24px);
  height: auto;
  max-height: calc(100% - 24px);
  aspect-ratio: 1/1;
  -o-object-fit: contain;
     object-fit: contain;
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery--main__carousel--slide img {
    max-width: 320px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__gallery--main__carousel--slide img {
    max-height: calc(100% - 20px);
  }
}
.rud-product__gallery--main__carousel--arrow {
  width: 60px;
  height: 60px;
  border-radius: 4px;
  background: var(--color-primary-20);
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 2;
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery--main__carousel--arrow {
    width: 42px;
    height: 42px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__gallery--main__carousel--arrow {
    display: none;
  }
}
.rud-product__gallery--main__carousel--arrow.prev {
  left: 24px;
}
.rud-product__gallery--main__carousel--arrow.next {
  right: 24px;
}
@media screen and (max-width: 1600px) {
  .rud-product__gallery--main__carousel--arrow svg {
    width: 7px;
    height: 14px;
  }
}
.rud-product__gallery--main__carousel--arrow svg path {
  transition: var(--transition-base);
}
.rud-product__gallery--main__carousel--arrow:hover {
  background: var(--color-primary-100);
}
.rud-product__gallery--main__carousel--arrow:hover svg path {
  stroke: var(--color-default);
}
.rud-product__info {
  width: calc(100% - 732px - 80px);
  padding: 36px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
@media screen and (max-width: 1600px) {
  .rud-product__info {
    width: calc(100% - 532px - 64px);
  }
}
@media screen and (max-width: 1366px) {
  .rud-product__info {
    padding: 24px 0;
  }
}
@media screen and (max-width: 1300px) {
  .rud-product__info {
    width: 50%;
    justify-content: flex-start;
  }
}
@media screen and (max-width: 768px) {
  .rud-product__info {
    width: 100%;
    padding: unset;
  }
}
.rud-product__info--name {
  color: var(--color-dark-80);
  font-size: 48px;
  font-weight: 600;
  line-height: 120%;
  margin: 0 0 36px;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--name {
    font-size: 32px;
    margin: 0 0 16px;
  }
}
@media screen and (max-width: 1300px) {
  .rud-product__info--name {
    font-size: 24px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__info--name {
    font-size: 20px;
  }
}
.rud-product__info--base {
  display: flex;
  align-items: center;
  margin: 0 0 36px;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--base {
    margin: 0 0 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--base {
    flex-wrap: wrap;
  }
}
@media screen and (max-width: 768px) {
  .rud-product__info--base {
    flex-wrap: nowrap;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__info--base {
    flex-wrap: wrap;
  }
}
.rud-product__info--base__item {
  color: var(--color-dark-80);
  font-size: 20px;
  font-weight: 500;
  line-height: 120%;
  opacity: 0.5;
  text-align: center;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--base__item {
    font-size: 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--base__item {
    text-align: left;
  }
}
@media screen and (max-width: 768px) {
  .rud-product__info--base__item {
    text-align: left;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__info--base__item {
    text-align: left;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--base__item:last-child {
    width: 100%;
    margin: 8px 0 0;
  }
}
@media screen and (max-width: 768px) {
  .rud-product__info--base__item:last-child {
    width: unset;
    margin: unset;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__info--base__item:last-child {
    width: 100%;
    margin: 8px 0 0;
  }
}
.rud-product__info--base__item--divider {
  margin: 0 16px;
  width: 2px;
  height: 16px;
  background-color: var(--color-primary-100);
}
@media screen and (max-width: 1024px) {
  .rud-product__info--base__item--divider:nth-child(4) {
    display: none;
  }
}
@media screen and (max-width: 768px) {
  .rud-product__info--base__item--divider:nth-child(4) {
    display: flex;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__info--base__item--divider:nth-child(4) {
    display: none;
  }
}
.rud-product__info--price {
  display: flex;
  align-items: flex-end;
  margin: 0 0 12px;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--price {
    margin: unset;
  }
}
.rud-product__info--price span {
  color: var(--color-dark-80);
  font-size: 36px;
  font-weight: 600;
  line-height: 120%;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--price span {
    font-size: 24px;
  }
}
.rud-product__info--price small {
  color: var(--color-dark-80);
  opacity: 0.5;
  font-size: 24px;
  font-weight: 500;
  line-height: 120%;
  text-decoration-line: line-through;
  display: block;
  margin: 0 0 0 16px;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--price small {
    font-size: 16px;
  }
}
.rud-product__info--btns {
  margin: 0 0 16px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns {
    margin: 0 0 12px;
  }
}
.rud-product__info--btns__divider {
  margin: 0 24px -12px;
  position: relative;
  width: 2px;
  height: 24px;
  background: var(--color-primary-100);
  pointer-events: unset;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns__divider {
    margin: 0 24px -16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--btns__divider {
    margin: 16px 16px 0;
    height: 48px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__info--btns__divider {
    margin: 16px 12px 0;
  }
}
.rud-product__info--btns__buy {
  padding: 10px 24px;
  border-radius: 4px;
  background: var(--color-primary-100);
  border: 2px solid var(--color-primary-100);
  outline: unset;
  margin: 12px 8px 0 0;
  display: flex;
  align-items: center;
  height: 60px;
  transition: var(--transition-base);
  min-width: 150px;
  justify-content: center;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns__buy {
    margin: 16px 8px 0 0;
    height: 48px;
    min-width: 114px;
    padding: 10px 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--btns__buy {
    min-width: 48px;
    width: 48px;
    padding: unset;
  }
}
.rud-product__info--btns__buy--icon {
  width: 20px;
  height: 19px;
  margin: 0 10px 0 0;
  position: relative;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns__buy--icon {
    width: 16px;
    height: 15px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--btns__buy--icon {
    margin: unset;
  }
}
.rud-product__info--btns__buy--icon__in-cart {
  opacity: 0;
  pointer-events: none;
  position: absolute;
  width: 12px;
  height: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: var(--color-default);
  right: -6px;
  top: -4px;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns__buy--icon svg.rud-main {
    width: 16px;
    height: 15px;
  }
}
.rud-product__info--btns__buy--icon svg.rud-main path {
  transition: var(--transition-base);
}
.rud-product__info--btns__buy span {
  color: var(--color-default);
  font-size: 18px;
  font-weight: 600;
  line-height: 120%;
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns__buy span {
    font-size: 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--btns__buy span {
    display: none;
  }
}
.rud-product__info--btns__buy.in-cart {
  border-color: var(--color-primary-90);
  background: var(--color-primary-20);
}
.rud-product__info--btns__buy.in-cart .rud-product__info--btns__buy--icon__in-cart {
  opacity: 1;
}
.rud-product__info--btns__buy.in-cart span {
  color: var(--color-primary-90);
}
.rud-product__info--btns__buy.in-cart svg.rud-main path {
  fill: var(--color-primary-90);
}
.rud-product__info--btns__buy:hover {
  background: var(--color-primary-80);
  border-color: var(--color-primary-80);
}
.rud-product__info--btns__buy:hover.in-cart span {
  color: var(--color-default);
}
.rud-product__info--btns__buy:hover.in-cart svg.rud-main path {
  fill: var(--color-default);
}
.rud-product__info--btns__wishlist {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
  border-radius: 4px;
  border: 2px solid var(--color-primary-20);
  background: var(--color-default);
  outline: unset;
  padding: 10px 24px;
  min-width: 180px;
  margin: 12px 0 0;
  transition: var(--transition-base);
  cursor: pointer;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns__wishlist {
    height: 48px;
    margin: 16px 0 0;
    min-width: 126px;
    padding: 10px 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--btns__wishlist {
    min-width: 48px;
    width: 48px;
    padding: unset;
  }
}
.rud-product__info--btns__wishlist.add {
  background-color: #FFF;
  border: 2px solid #D9F3FF;
}
.rud-product__info--btns__wishlist.add:hover {
  background-color: #55BBEE;
  border-color: #55BBEE;
}
.rud-product__info--btns__wishlist.add:hover span {
  color: var(--color-default);
}
.rud-product__info--btns__wishlist.add:hover svg path {
  fill: #D9F3FF;
  stroke: #D9F3FF;
}
.rud-product__info--btns__wishlist.remove {
  background-color: #55BBEE;
  border: 2px solid #55BBEE;
}
.rud-product__info--btns__wishlist.remove svg path {
  fill: #D9F3FF;
  stroke: #D9F3FF;
}
.rud-product__info--btns__wishlist.remove span {
  color: var(--color-default);
}
.rud-product__info--btns__wishlist.remove:hover {
  background-color: #0A7AB2;
  border-color: #55BBEE;
}
.rud-product__info--btns__wishlist.remove:hover svg path {
  stroke: #D9F3FF;
}
.rud-product__info--btns__wishlist svg {
  margin: 0 10px 0 0;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns__wishlist svg {
    width: 13px;
    height: 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--btns__wishlist svg {
    margin: unset;
  }
}
.rud-product__info--btns__wishlist svg path {
  transition: var(--transition-base);
}
.rud-product__info--btns__wishlist span {
  color: var(--color-primary-90);
  font-size: 18px;
  font-weight: 600;
  line-height: 120%;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--btns__wishlist span {
    font-size: 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__info--btns__wishlist span {
    display: none;
  }
}
.rud-product__info--btns__wishlist:hover {
  background: var(--color-primary-20);
}
.rud-product__info--qty {
  display: flex;
  align-items: center;
  height: 60px;
  margin: 12px 0 0;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--qty {
    height: 48px;
    margin: 16px 0 0;
  }
}
.rud-product__info--qty__btn {
  width: 60px;
  min-width: 60px;
  height: 100%;
  border-radius: 4px;
  border: 2px solid transparent;
  background: var(--color-primary-20);
  position: relative;
  transition: var(--transition-base);
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--qty__btn {
    width: 48px;
    height: 48px;
    min-width: 48px;
  }
}
.rud-product__info--qty__btn::before, .rud-product__info--qty__btn::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--color-primary-100);
}
.rud-product__info--qty__btn.disabled {
  border-color: var(--color-grey-60);
  background: var(--color-default);
  cursor: default;
}
.rud-product__info--qty__btn.disabled::before, .rud-product__info--qty__btn.disabled::after {
  background-color: var(--color-dark);
}
.rud-product__info--qty__btn.minus::before {
  width: 10px;
  height: 2px;
}
.rud-product__info--qty__btn.plus::before {
  width: 10px;
  height: 2px;
}
.rud-product__info--qty__btn.plus::after {
  width: 2px;
  height: 10px;
}
.rud-product__info--qty__btn:hover:not(.disabled) {
  border-color: var(--color-primary-100);
}
.rud-product__info--qty__input {
  margin: 0 8px;
  height: 100%;
  width: 150px;
  text-align: center;
  border-radius: 4px;
  border: 2px solid var(--color-primary-20);
  color: var(--color-dark-80);
  font-size: 18px;
  font-weight: 500;
  line-height: 120%;
  outline: unset;
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud-product__info--qty__input {
    margin: 0 4px;
    width: 120px;
    font-size: 16px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__info--qty__input {
    width: 95px;
  }
}
.rud-product__info--qty__input:focus, .rud-product__info--qty__input:hover {
  border-color: var(--color-primary-100);
}
.rud-product__info--stock {
  color: var(--color-dark-80);
  font-size: 20px;
  font-weight: 500;
  line-height: 120%;
  margin: 0 0 36px;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--stock {
    font-size: 16px;
    margin: 0 0 16px;
  }
}
.rud-product__info--stock span {
  color: var(--color-primary-80);
}
.rud-product__info--description__title {
  color: var(--color-dark);
  font-size: 20px;
  font-weight: 500;
  line-height: 120%;
  margin: 0 0 8px;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--description__title {
    font-size: 16px;
  }
}
.rud-product__info--description__text {
  color: var(--color-grey-90);
  font-size: 20px;
  font-weight: 500;
  line-height: 120%;
}
@media screen and (max-width: 1600px) {
  .rud-product__info--description__text {
    font-size: 16px;
  }
}
.rud-product__list {
  margin: 0 0 186px;
}
@media screen and (max-width: 1600px) {
  .rud-product__list {
    margin: 0 0 148px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__list {
    margin: 0 0 108px;
  }
}
.rud-product__list--head {
  padding: 0 160px 36px;
  margin: 0 0 52px;
  position: relative;
  width: calc(100% + 320px);
  left: -160px;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--head {
    padding: 0 100px 24px;
    width: calc(100% + 200px);
    left: -100px;
    margin: 0 0 24px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__list--head {
    padding: 0 64px 24px;
    width: calc(100% + 128px);
    left: -64px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__list--head {
    padding: 0 20px 16px;
    width: calc(100% + 40px);
    left: -20px;
  }
}
.rud-product__list--head__title {
  color: var(--color-dark-80);
  font-size: 64px;
  font-weight: 600;
  line-height: 1;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--head__title {
    font-size: 48px;
  }
}
@media screen and (max-width: 650px) {
  .rud-product__list--head__title {
    font-size: 24px;
  }
}
.rud-product__list--head::after {
  content: "";
  display: block;
  width: 100%;
  height: 3px;
  background-image: url(../image/category/subs_line.svg);
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
  bottom: 0;
  left: 0;
}
.rud-product__list--carousel {
  width: 100%;
  overflow: hidden;
  position: relative;
}
.rud-product__list--carousel__wrap {
  position: relative;
}
.rud-product__list--carousel .swiper-wrapper {
  align-items: stretch;
}
.rud-product__list--carousel__item {
  border-right: 2px solid var(--color-grey-40);
  padding: 20px 20px 24px;
  height: auto;
  display: flex;
  flex-direction: column;
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__item {
    padding: 16px 16px 20px;
  }
}
.rud-product__list--carousel__item--image {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: center;
}
.rud-product__list--carousel__item--image img {
  -o-object-fit: contain;
     object-fit: contain;
  max-width: 100%;
}
.rud-product__list--carousel__item--in-cart {
  padding: 12px 16px 10px;
  border-radius: 46px;
  background: var(--color-primary-90);
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  width: -moz-max-content;
  width: max-content;
  max-width: 100%;
  color: var(--color-default);
  font-size: 16px;
  font-weight: 700;
  line-height: 1;
  opacity: 0;
  pointer-events: none;
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--in-cart {
    padding: 6px 12px;
    font-size: 12px;
  }
}
.rud-product__list--carousel__item--in-cart small {
  color: var(--color-default);
  font-size: 16px;
  font-weight: 700;
  line-height: 1;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--in-cart small {
    display: none;
  }
}
.rud-product__list--carousel__item--in-cart.rud-active {
  opacity: 1;
  pointer-events: inherit;
}
.rud-product__list--carousel__item--in-cart svg {
  margin: 0 10px 0 0;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--in-cart svg {
    margin: unset;
  }
}
.rud-product__list--carousel__item--in-cart span {
  margin: 0 4px;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--in-cart span {
    margin: 0 2px 0 4px;
  }
}
.rud-product__list--carousel__item--label {
  position: absolute;
  padding: 4px 6px;
  color: var(--color-default);
  font-size: 12px;
  font-weight: 600;
  line-height: 120%;
  border-radius: 12px;
  background: var(--color-primary-90);
  width: -moz-max-content;
  width: max-content;
  max-width: 100%;
  height: 24px;
  top: 0;
  left: 0;
}
.rud-product__list--carousel__item--sale {
  position: absolute;
  top: 0;
  left: 66px;
  border-radius: 12px;
  background: var(--color-primary-80);
  color: var(--color-default);
  font-size: 12px;
  font-weight: 600;
  line-height: 120%;
  padding: 4px 16px;
}
.rud-product__list--carousel__item--name {
  color: var(--color-dark);
  font-size: 18px;
  font-weight: 500;
  line-height: 120%;
  height: 100px;
  display: flex;
  align-items: flex-end;
  margin: 0 0 8px;
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--name {
    height: 80px;
    font-size: 16px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__item--name {
    height: 100px;
    margin: unset;
  }
}
.rud-product__list--carousel__item--name:hover {
  color: var(--color-primary-100);
}
.rud-product__list--carousel__item--info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 0 16px;
  flex-wrap: wrap;
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__item--info {
    margin: 0 0 8px;
  }
}
.rud-product__list--carousel__item--info--item {
  color: var(--color-grey-70);
  font-size: 14px;
  font-weight: 500;
  line-height: 120%;
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__item--info--item {
    margin: 8px 0 0 0;
  }
}
.rud-product__list--carousel__item--info--item:first-child {
  padding: 0 8px 0 0;
}
.rud-product__list--carousel__item--info--item span {
  color: var(--color-grey-90);
  font-size: 18px;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--info--item span {
    font-size: 16px;
  }
}
.rud-product__list--carousel__item--price {
  display: flex;
  align-items: flex-end;
  margin: 0 0 16px;
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__item--price {
    flex-wrap: wrap;
  }
}
.rud-product__list--carousel__item--price span {
  color: var(--color-dark);
  font-size: 24px;
  font-weight: 600;
  line-height: 120%;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--price span {
    font-size: 20px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__item--price span {
    margin: 8px 8px 0 0;
    font-size: 18px;
  }
}
.rud-product__list--carousel__item--price small {
  color: var(--color-dark-80);
  font-size: 18px;
  font-weight: 500;
  line-height: 120%;
  text-decoration-line: line-through;
  opacity: 0.5;
  display: block;
  margin: 0 0 0 16px;
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__item--price small {
    margin: 8px 0 0 0;
    font-size: 16px;
  }
}
.rud-product__list--carousel__item--btns {
  margin: auto 0 0;
}
.rud-product__list--carousel__item--btns__wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
@media screen and (max-width: 864px) {
  .rud-product__list--carousel__item--btns__wrap {
    display: flex;
    flex-direction: column;
  }
}
.rud-product__list--carousel__item--qty {
  display: flex;
  align-items: center;
}
@media screen and (max-width: 864px) {
  .rud-product__list--carousel__item--qty {
    width: 100%;
    margin: 0 0 8px;
  }
}
.rud-product__list--carousel__item--qty--btn {
  border-radius: 4px;
  border: 2px solid var(--color-primary-20);
  width: 48px;
  height: 48px;
  position: relative;
  cursor: pointer;
  transition: var(--transition-base);
  background: var(--color-primary-20);
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--qty--btn {
    width: 36px;
    height: 36px;
  }
}
.rud-product__list--carousel__item--qty--btn::after, .rud-product__list--carousel__item--qty--btn::before {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--color-primary-100);
}
.rud-product__list--carousel__item--qty--btn.plus::after {
  height: 2px;
  width: 9px;
}
.rud-product__list--carousel__item--qty--btn.plus::before {
  height: 9px;
  width: 2px;
}
.rud-product__list--carousel__item--qty--btn.plus:hover {
  border-color: var(--color-primary-100);
}
.rud-product__list--carousel__item--qty--btn.minus::after {
  height: 2px;
  width: 9px;
}
.rud-product__list--carousel__item--qty--btn.rud-disabled {
  cursor: default;
  border-color: var(--color-grey-60);
  background: var(--color-default);
  pointer-events: none;
}
.rud-product__list--carousel__item--qty--btn.rud-disabled::after {
  background-color: var(--color-dark);
}
.rud-product__list--carousel__item--qty--input {
  margin: 0 4px;
  width: 80px;
  height: 48px;
  border-radius: 4px;
  border: 2px solid var(--color-primary-20);
  color: var(--color-dark);
  font-size: 18px;
  font-weight: 500;
  line-height: 120%;
  text-align: center;
  outline: unset;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--qty--input {
    height: 36px;
    width: 64px;
    font-size: 16px;
  }
}
@media screen and (max-width: 864px) {
  .rud-product__list--carousel__item--qty--input {
    width: calc(100% - 80px);
  }
}
.rud-product__list--carousel__item--add {
  width: calc(100% - 200px);
  padding: unset;
  border-radius: 4px;
  border: unset;
  background-color: var(--color-primary-100);
  border: 2px solid var(--color-primary-100);
  display: flex;
  align-items: center;
  justify-content: center;
  height: 48px;
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--add {
    width: calc(100% - 160px);
    height: 36px;
  }
}
@media screen and (max-width: 864px) {
  .rud-product__list--carousel__item--add {
    width: 100%;
  }
}
.rud-product__list--carousel__item--add__icon {
  position: relative;
  width: 20px;
  height: 20px;
}
.rud-product__list--carousel__item--add__icon--in_cart {
  position: absolute;
  width: 12px;
  height: 12px;
  background-color: var(--color-default);
  border-radius: 50%;
  right: -6px;
  top: -4px;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: none;
  opacity: 0;
  transition: var(--transition-base);
}
.rud-product__list--carousel__item--add__icon svg path {
  transition: var(--transition-base);
}
.rud-product__list--carousel__item--add.in-cart {
  border-color: var(--color-primary-90);
  background-color: var(--color-primary-20);
}
.rud-product__list--carousel__item--add.in-cart .rud-product__list--carousel__item--add__icon--in_cart {
  opacity: 1;
}
.rud-product__list--carousel__item--add.in-cart svg.rud-product__list--carousel__item--add__icon--main path {
  fill: var(--color-primary-90);
}
.rud-product__list--carousel__item--add:hover {
  background-color: var(--color-primary-80);
  border-color: var(--color-primary-80);
}
.rud-product__list--carousel__item--add:hover.rud-active svg.rud-product__list--carousel__item--add__icon--main path {
  fill: var(--color-default);
}
.rud-product__list--carousel__item--quantity {
  color: var(--color-grey-70);
  font-size: 18px;
  font-weight: 500;
  line-height: 120%;
  margin: 16px 0 0;
  width: 100%;
  text-align: center;
  height: 22px;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__item--quantity {
    font-size: 16px;
    height: 20px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__item--quantity {
    font-size: 14px;
    height: 17px;
  }
}
.rud-product__list--carousel__item--quantity span {
  color: var(--color-primary-80);
}
.rud-product__list--carousel__arrow {
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  border: 2px solid var(--color-primary-20);
  background: var(--color-primary-20);
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__arrow {
    width: 36px;
    height: 36px;
  }
}
@media screen and (max-width: 1024px) {
  .rud-product__list--carousel__arrow {
    display: none;
  }
}
.rud-product__list--carousel__arrow.prev {
  left: -96px;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__arrow.prev {
    left: -60px;
  }
}
.rud-product__list--carousel__arrow.next {
  right: -96px;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__arrow.next {
    right: -60px;
  }
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__arrow svg {
    width: 6px;
    height: 12px;
  }
}
.rud-product__list--carousel__arrow svg path {
  transition: var(--transition-base);
}
.rud-product__list--carousel__arrow:hover {
  border: 2px solid var(--color-primary-100);
  background: var(--color-primary-100);
}
.rud-product__list--carousel__arrow:hover svg path {
  stroke: var(--color-default);
}
.rud-product__list--carousel__arrow.swiper-button-lock {
  display: none;
}
.rud-product__list--carousel__pagination {
  padding: 16px;
  border-radius: 8px;
  background: var(--color-primary-20);
  width: -moz-max-content !important;
  width: max-content !important;
  max-width: 100%;
  left: 50% !important;
  transform: translateX(-50%);
  bottom: -66px !important;
  height: 42px;
  display: flex;
  align-items: center;
  z-index: 1 !important;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__pagination {
    padding: 8px;
    height: 24px;
    bottom: -48px !important;
  }
}
.rud-product__list--carousel__pagination .swiper-pagination-bullet {
  border-radius: 2px;
  opacity: 0.5;
  background: var(--color-primary-100);
  width: 10px;
  height: 5px;
  margin: 0 4px;
  transition: var(--transition-base);
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__pagination .swiper-pagination-bullet {
    width: 8px;
    height: 4px;
  }
}
.rud-product__list--carousel__pagination .swiper-pagination-bullet-active {
  height: 10px;
  opacity: 1;
}
@media screen and (max-width: 1600px) {
  .rud-product__list--carousel__pagination .swiper-pagination-bullet-active {
    height: 8px;
  }
}
.rud-product__list--carousel__pagination.swiper-pagination-lock {
  display: none;
}

.rud-footer {
  margin: unset;
}